Skip to main content
GET
Retrieve a job-position

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Path Parameters

id
string
required

Identifier of the job-position to retrieve.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A job-position resource.

id
string
Minimum string length: 1
type
string
Allowed value: "job-position"
url
string<uri>
remoteId
null | string

Resource identifier in a third-party system. No unicity constraint: two job-positions may have the same value.

Required string length: 1 - 1024
employment
employment-reference · object

Reference to an employment resource.

employee
employee-reference · object

Read-only. Reference to the employment's employee.

status
enum<string>

Read-only. The employee status is calculated from the employee's employments.

  • active: employee has an employment as of today.
  • upcoming: employee currently has no employment but will have one in the future.
  • deactivated: employee used to have an employment but no longer does.
Available options:
active,
upcoming,
deactivated
Example:

"active"

startsOn
string<date>

Effective date of this job-position for this employee.

Cannot be outside the range of the employment.

This should be considered "applicable" based on the related employment business-establishment timezone.

Pattern: ^\d{4}-\d{2}-\d{2}$
endsOn
null | string<date>

Read-only. End date (included) of this job-position effectiveness.

Is calculated from the startsOn property of the closest next job-position, or the endsOn date of the parent employment.

This should be considered "applicable" based on the related employment business-establishment timezone.

Must be greater or equal than StartsOn date.

Pattern: ^\d{4}-\d{2}-\d{2}$
businessEstablishment
business-establishment-reference · object

Reference to a business-establishment resource.

jobTitle
null | string

Short description of the job occupied by this employee.

Required string length: 1 - 1024
jobQualification
job-qualification-reference · object | null

Reference to a job-qualification resource.

manager
employee-reference · object | null

Reference to another employee, who is considered to be this employee's manager.

occupationCategory
occupation-category-reference · object | null

Reference to an occupation-category resource.

workingTimeArrangement
working-time-arrangement-reference · object | null

Reference to a working-time-arrangement resource.

department
department-reference · object

Reference to a department resource.

document
file-reference · object | null

Reference to a file resource.

notes
null | string

Optional notes about this job-position change.

Maximum string length: 500
t9n
object
updatedAttributes
enum<string>[]

List of attributes that changed compared with this employee previous job-position, even if said job-position was on another employment and/or not immediately sequential.

List of attributes that can change for a job-position.

Available options:
remoteId,
jobTitle,
jobQualification,
occupationCategory,
workingTimeArrangement,
department
createdAt
string<date-time-offset>

Read-only. UTC timestamp of the moment this object was created.

Example:

"2023-01-23T12:45:23.1234Z"

lastUpdatedAt
string<date-time>

Read-only. UTC timestamp of the moment this object was last updated. Set upon creation, update or deletion of the object.

Example:

"2023-01-23T12:45:23.1234Z"

embedded
object | null

Embeds the representation of resources related to the job-position(s).

Only returned if requested by the API client: ?include=embedded.